目次
索引 🔎︎

# CDbl Function

文字列および数値表式を、倍精度の数値データに変換します。

### Syntax:

    CDbl (Expression As Variant) As Double

### Return value:

Double

### Parameters:

Expression: Any string or numeric expression that you want to convert. To convert a string expression, the number must be entered using a dot "." as the decimal point and a comma "," as the thousands separator (for instance 123,456.78), which may differ from your LibreOffice language settings.

### Error codes:

5 無効なプロシージャー呼び出しです

### Example:

Numeric expressions are displayed according to LibreOffice language settings:

    Sub ExampleCountryConvert
        MsgBox CDbl(1234.5678) ' 1234.5678
        MsgBox CInt(1234.5678) ' 1235
        MsgBox CLng(1234+5678) ' 6912
        MsgBox CSng(1234.5678) ' 1234.567749023

        MsgBox CDbl(expression := 5678.1234) ' 5678.1234
        MsgBox CInt(expression := 5678.1234) ' 5678
        MsgBox CLng(expression := 5678+1234) ' 6912
        MsgBox CSng(expression := 5678.1234) ' 5678.123535156
    End Sub